How can I install KDE4 on Mint 6 XFCE?

All Gurus once were Newbies
Forum rules
There are no such things as "stupid" questions. However if you think your question is a bit stupid, then this is the right place for you to post it. Please stick to easy to-the-point questions that you feel people can answer fast. For long and complicated questions prefer the other forums within the support section.
Before you post please read this

How can I install KDE4 on Mint 6 XFCE?

Postby m121 on Wed Mar 18, 2009 5:37 pm

Hi,

I have a Mint 6 XFCE installation and would like to try out KDE4 as found in the new KDE4 RC1 release w/o having to download (and install) the 1GB ISO. Someone asked how one can install KDE4 over a standard version and the responses pointed to these instructions: http://linux4us.org/kde4.2_release.php namely,
Code: Select all
sudo nano /etc/apt/sources.list

In the editor, go to last line and add the following:

# KDE 4.2
deb http://ppa.launchpad.net/kubuntu-experimental/ubuntu intrepid main

Next, save and close the editor, type the following in your terminal to import the GPG key:

gpg --keyserver keyserver.ubuntu.com --recv-keys 493B3065 && gpg --export -a 493B3065 | sudo apt-key add -

Update your package database by entering following line in terminal:

sudo apt-get update

After you have updated your package database, install KDE 4.2 by entering the following command:

sudo apt-get install kde dolphin


However, when I tried these steps, I get these broken dependencies:
Code: Select all
apt-get install kde dolphin
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
  dolphin: Depends: kdebase-runtime (>= 4:4.1.96) but it is not going to be installed
           Depends: kdelibs5 (>= 4:4.1.96) but it is not going to be installed
           Depends: libkonq5 but it is not going to be installed
           Recommends: kfind but it is not going to be installed
  kde: Depends: kde-core (>= 5:48ubuntu1) but it is not going to be installed
       Depends: kdeedu (>= 4:4.1.1) but it is not going to be installed
       Depends: kdegames (>= 4:4.1.1) but it is not going to be installed
       Depends: kdetoys (>= 4:4.1.1) but it is not going to be installed
       Depends: kdeaccessibility (>= 4:4.1.1) but it is not going to be installed
       Depends: kdeadmin (>= 4:4.1.1) but it is not going to be installed
       Depends: kdeartwork (>= 4:4.1.1) but it is not going to be installed
       Depends: kdegraphics (>= 4:4.1.1) but it is not going to be installed
       Depends: kdemultimedia (>= 4:4.1.1) but it is not going to be installed
       Depends: kdenetwork (>= 4:4.1.1) but it is not going to be installed
       Depends: kdepim (>= 4:4.1.1) but it is not going to be installed
       Depends: kdeutils (>= 4:4.1.1) but it is not going to be installed
       Depends: kdewebdev-kde4 (>= 4:4.1.1) but it is not going to be installed
       Depends: kdeplasma-addons (>= 4:4.1.1) but it is not going to be installed
E: Broken packages


Could someone please let me know if there are working instructions for getting this done? If not, would it be possible to find the manifest file for KDE4 RC1 somewhere, or could someone using that release post your sources.list file (using either of these I may be able to track down how and where to download the files needed here.) Thanks in advance.
m121
Level 1
Level 1
 
Posts: 1
Joined: Tue Apr 08, 2008 7:34 pm

Linux Mint is funded by ads and donations.
 

Re: How can I install KDE4 on Mint 6 XFCE?

Postby Husse on Wed Mar 18, 2009 6:38 pm

You can't get Mint KDE by installing KDE - you have to install the meta package and I don't think it's been made yet
Image
Don't fix it if it ain't broken, don't break it if you can't fix it
Husse
Level 21
Level 21
 
Posts: 19710
Joined: Sun Feb 11, 2007 7:22 am
Location: Near Borås Sweden


Return to Newbie Questions

Who is online

Users browsing this forum: Google [Bot] and 43 guests